Alokai

SapccApiCreateProductInterestRequest

Request parameters for createProductInterest operation in SapccApi. SapccApiCreateProductInterestRequest

interface SapccApiCreateProductInterestRequest {
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly notificationType: string;
	readonly productCode: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiCreateProductInterest
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateProductInterest
notificationTypeRequiredstringNotification type. {string} SapccApiCreateProductInterest
productCodeRequiredstringProduct identifier. {string} SapccApiCreateProductInterest
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiCreateProductInterest

On this page